## DmapImageRecord

DmapImageRecord — The description of an item shared using DPAP.

## Functions

GInputStream * | dmap_image_record_read ()

## Properties

char * | aspect-ratio | Read / Write
char * | comments | Read / Write
int | creation-date | Read / Write
char * | filename | Read / Write
char * | format | Read / Write
GArray * | hash | Read / Write
int | large-filesize | Read / Write
char * | location | Read / Write
int | pixel-height | Read / Write
int | pixel-width | Read / Write
int | rating | Read / Write
GArray * | thumbnail | Read / Write

## Object Hierarchy

        GInterface
        ╰── DmapImageRecord

## Description

DmapImageRecord objects encapsulate the description of an item shared using DPAP.

## Functions

### dmap_image_record_read ()

    GInputStream *
    dmap_image_record_read (DmapImageRecord *record,
                            GError **err);

#### Parameters

record | a DmapImageRecord. |
err | a GError. |

#### Returns

a GInputStream that provides read-only access to the data stream associated with record.

[transfer full]

## Property Details

### The `“aspect-ratio”` property

      “aspect-ratio”             char *

Photo aspect ratio.

Owner: DmapImageRecord

Flags: Read / Write

Default value: NULL

### The `“comments”` property

      “comments”                 char *

Photo comments.

Owner: DmapImageRecord

Flags: Read / Write

Default value: NULL

### The `“creation-date”` property

      “creation-date”            int

Photo creation date.

Owner: DmapImageRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“filename”` property

      “filename”                 char *

Photo filename.

Owner: DmapImageRecord

Flags: Read / Write

Default value: NULL

### The `“format”` property

      “format”                   char *

Photo data format.

Owner: DmapImageRecord

Flags: Read / Write

Default value: NULL

### The `“hash”` property

      “hash”                     GArray *

Hash of media file contents.

Owner: DmapImageRecord

Flags: Read / Write

### The `“large-filesize”` property

      “large-filesize”           int

Photo large file size.

Owner: DmapImageRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“location”` property

      “location”                 char *

URI pointing to photo data.

Owner: DmapImageRecord

Flags: Read / Write

Default value: NULL

### The `“pixel-height”` property

      “pixel-height”             int

Photo pixel height.

Owner: DmapImageRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“pixel-width”` property

      “pixel-width”              int

Photo pixel width.

Owner: DmapImageRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rating”` property

      “rating”                   int

Photo rating.

Owner: DmapImageRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“thumbnail”` property

      “thumbnail”                GArray *

Photo thumbnail.

Owner: DmapImageRecord

Flags: Read / Write